<?php

namespace WcMipConnector\Client\Base\Exception;

use WcMipConnector\Enum\StatusTypes;

defined('ABSPATH') || exit;

class ClientErrorException  extends \Exception
{
    public function __construct($responseCode, $message = '')
    {
        $returnMessage = 'Call Returned ErrorCode: '.$responseCode;

        if (!empty($message)) {
            $returnMessage .= ' -> '.$message;
        }elseif ($responseCode >= StatusTypes::HTTP_BAD_REQUEST && $responseCode < StatusTypes::HTTP_INTERNAL_SERVER_ERROR) {
            $returnMessage .= ' -> Failed sending api request.';
        }elseif ($responseCode >= StatusTypes::HTTP_INTERNAL_SERVER_ERROR && $responseCode < StatusTypes::INVALID_REQUEST_CODE) {
            $returnMessage .= ' -> API server failed to respond.';
        }

        parent::__construct($returnMessage);
    }
}