<?php

namespace WcMipConnector\Factory;

defined('ABSPATH') || exit;

class PublicationOptionsFactory
{
    /** @var PublicationOptionsFactory */
    private static $instance;

    /**
     * @return PublicationOptionsFactory
     */
    public static function getInstance(): PublicationOptionsFactory
    {
        if (!self::$instance) {
            self::$instance = new self();
        }

        return self::$instance;
    }

    /**
     * @param int $conversionFactor
     * @param string $date
     * @return string
     */
    public function create(int $conversionFactor, string $date): string
    {
        $publicationOptions = [];
        $publicationOptions['conversionFactor'] = $conversionFactor;
        $publicationOptions['LastRequest'] = $date;

        return \json_encode($publicationOptions);
    }
}